#ifndef HOSTIO_H_
#define HOSTIO_H_

#include "global.h"
#include "conf.h"

/*================================================================================================*/
/*------------------------------------------------------------------------------------------------*/
void hostio_init(conf_iface_t iface);
/*------------------------------------------------------------------------------------------------*/
conf_iface_t hostio_get_active_iface(void);
/*------------------------------------------------------------------------------------------------*/
void hostio_close(void);
/*------------------------------------------------------------------------------------------------*/
void hostio_reset(void);
/*------------------------------------------------------------------------------------------------*/
void hostio_worker(void);
/*------------------------------------------------------------------------------------------------*/
/*================================================================================================*/
#endif /* HOSTIO_H_ */
